Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class PropertyPickTypeIDs

    java.lang.Object
      com.plumtree.remote.prc.PropertyPickTypeIDs

public class PropertyPickTypeIDs
extends java.lang.Object

Possible pick types for a Property. This is the type of selection available for values of this Property.

Field Summary
`static int` | `Invalid` This is not a valid pick type.
`static int` | `ManagedList` This is a list that can be managed in the UI.
`static int` | `None` No pick type available.
`static int` | `Tree` This is a tree that cannot be managed in the UI.
`static int` | `UnmanagedList` This is a list that cannot be managed in the UI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### None

    public static final int None

  No pick type available.

  See Also:
    Constant Field Values

### ManagedList

    public static final int ManagedList

  This is a list that can be managed in the UI.

  See Also:
    Constant Field Values

### UnmanagedList

    public static final int UnmanagedList

  This is a list that cannot be managed in the UI.

  See Also:
    Constant Field Values

### Tree

    public static final int Tree

  This is a tree that cannot be managed in the UI.

  See Also:
    Constant Field Values

### Invalid

    public static final int Invalid

  This is not a valid pick type.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.